Skip to main content
POST
/
api
/
v1
/
contacts
Create or update contact
curl --request POST \
  --url https://app.flowella.io/api/v1/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "phone": "+15551234567",
  "name": "Ada Lovelace",
  "email": "ada@example.com",
  "waId": "<string>"
}
'
{
  "id": "<string>",
  "phone": "<string>",
  "isOptedOut": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "waId": "<string>",
  "name": "<string>",
  "email": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://knowledge.flowella.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Organization API key (flo_…). Send as Authorization: Bearer <key>.

Body

application/json
phone
string
required
Required string length: 3 - 32
Example:

"+15551234567"

name
string | null
Maximum string length: 200
Example:

"Ada Lovelace"

email
string<email> | null
Example:

"ada@example.com"

waId
string | null
Maximum string length: 64

Response

Contact upserted

id
string
required
phone
string
required
isOptedOut
boolean
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
waId
string | null
name
string | null
email
string | null